--- a/src/amd/vulkan/radv_physical_device.c
+++ b/src/amd/vulkan/radv_physical_device.c
@@ -117,13 +117,7 @@ radv_cooperative_matrix_enabled(const struct radv_physical_device *pdev)
 bool
 radv_enable_rt(const struct radv_physical_device *pdev)
 {
-   if (!pdev->info.has_image_bvh_intersect_ray && !radv_emulate_rt(pdev))
-      return false;
-
-   if (pdev->use_llvm)
-      return false;
-
-   return true;
+   return false; // until reasonable or full hardware implementation
 }
 
 bool
@@ -811,7 +805,7 @@ radv_physical_device_get_features(const struct radv_physical_device *pdev, struc
       .multiViewport = true,
       .samplerAnisotropy = true,
       .textureCompressionETC2 = pdev->info.has_etc_support || pdev->emulate_etc2,
-      .textureCompressionASTC_LDR = pdev->emulate_astc,
+      .textureCompressionASTC_LDR = false, // until really obsolete, or reasonable implementation
       .textureCompressionBC = true,
       .occlusionQueryPrecise = true,
       .pipelineStatisticsQuery = true,
